lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'TOCBot/version'

Gem::Specification.new do |spec|
    spec.name          = 'tocbot'
    spec.version       = TOCBot::VERSION
    spec.authors       = ['Tim Gurney aka Wolf']
    spec.email         = ['wolf@tgwolf.com']

    spec.summary       = %q{An automated TOC creation not.}
    spec.description   = %q{A gem for automatically generating a table of contents in a markdown file.}
    spec.homepage      = 'https://github.com/WolfSoftware/tocbot'
    spec.license       = 'MIT'

    spec.files         = `git ls-files`.split($/)

    spec.bindir        = 'exe'
    spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = ['lib']

    spec.add_development_dependency 'bundler', '>= 1.17', '< 3.0'
    spec.add_development_dependency 'rake', '~> 10.0'
    spec.add_development_dependency 'rspec', '~> 3.0'
    spec.add_development_dependency 'tty-spinner', '~> 0.9.0'

    spec.add_runtime_dependency 'tty-spinner', '~> 0.9.0'
end
